List AxisSections
curl --request GET \
--url https://{host}/api/v3/axisSections \
--header 'Authorization: <authorization>'import requests
url = "https://{host}/api/v3/axisSections"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://{host}/api/v3/axisSections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"items": {
"code": "<string>",
"multilingualName": {},
"axisId": 123,
"id": 2,
"name": "<string>",
"url": "<string>",
"description": "<string>",
"ownerId": 123,
"startOn": "2023-11-07T05:31:56Z",
"endOn": "2023-11-07T05:31:56Z",
"active": true,
"isPublic": true,
"departments": [
{
"id": 123
}
],
"legalEntities": [
{
"id": 123
}
],
"users": [
{
"id": 123
}
],
"parentAxisSections": [
{
"code": "<string>",
"multilingualName": {},
"axisId": 123,
"id": 2,
"name": "<string>",
"url": "<string>",
"description": "<string>",
"ownerId": 123,
"startOn": "2023-11-07T05:31:56Z",
"endOn": "2023-11-07T05:31:56Z",
"active": true,
"isPublic": true,
"departments": [
{
"id": 123
}
],
"legalEntities": [
{
"id": 123
}
],
"users": [
{
"id": 123
}
]
}
],
"childrenAxisSections": [
{
"code": "<string>",
"multilingualName": {},
"axisId": 123,
"id": 2,
"name": "<string>",
"url": "<string>",
"description": "<string>",
"ownerId": 123,
"startOn": "2023-11-07T05:31:56Z",
"endOn": "2023-11-07T05:31:56Z",
"active": true,
"isPublic": true,
"departments": [
{
"id": 123
}
],
"legalEntities": [
{
"id": 123
}
],
"users": [
{
"id": 123
}
]
}
]
}
}
}Axis-sections
List AxisSections
List all AxisSections satisfying query filters.
GET
/
api
/
v3
/
axisSections
List AxisSections
Headers
API key. Value must be formatted like so: lucca application={api_key}.
Query Parameters
{offset},{limit}. Defaults to 0,1000.
Example:
"100,0"
Filter on the axis it belongs to.
Filter on the owner managing it.
Filter on active status.
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I